Subject: Re: Port of mit-pthreads to Cygwin32
From: [email-masked] (Stipe Tolj)

8 Dec 1998 18:53:35 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>
Cc: Tim Taylor <[email-masked]>, [email-masked]

Geoffrey Noer wrote:
> 
> Stipe Tolj wrote:
> [...]
> > Now about the mysql port itself. As you said it uses the mit-pthread
> > package which is OS specific and is defenetly NOT supported for cygwin,
> > since cygwin is NOT thread safe. So propably you can forget about
> > porting the mit-pthread package to cygin at all.
> 
> BTW, we're nearly there with respect to Cygwin being thread-safe.
> Cygwin should support pthreads soon but I don't have a time frame
> yet...

now "soon" is better than "some time", so keep on with the great work
you are doing for all cygwin developers and users.

Have you checked out, if the pthread32 package distributed on the
sourceware ftp server is working with the latest cygwin version. I had
some undefined references while building the test applications, so
something I suppose was missing within the cygwin dll.

Regards,
Stipe

-- 
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science        
University of Cologne, Germany                  
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".